aboutsummaryrefslogtreecommitdiff
path: root/files/riscv_script/run_qemu.sh
diff options
context:
space:
mode:
authorVignesh Venkatasubramanian <vigneshv@google.com>2023-06-12 21:28:09 +0000
committerAndroid Build Cherrypicker Worker <android-build-cherrypicker-worker@google.com>2023-06-12 21:28:09 +0000
commit01fadae8618ea360608cc52c823a022c48f855b5 (patch)
tree303e8eabb435a80ebec36a19c23ca85744d58fb5 /files/riscv_script/run_qemu.sh
parent435db9f11b09187e0d60683813a28d07cc13166b (diff)
downloadlibyuv-01fadae8618ea360608cc52c823a022c48f855b5.tar.gz
libyuv: Update to r1871 (2a6cb743)
Changes from upstream: https://chromium.googlesource.com/libyuv/libyuv/+log/d53f1bee..2a6cb743 The intention of the CL is to import the functions necessary to enable AV1 (and AVIF) 12-bit color conversion. Bug: 268505204 Test: Builds. Media and Camera CTS tests pass. (cherry picked from https://googleplex-android-review.googlesource.com/q/commit:27750a13c6eaacb9f716da3fe1734a8d106d7ff4) Merged-In: I756d3bd5047d4719659f9e1a449217b1940e51a4 Change-Id: I756d3bd5047d4719659f9e1a449217b1940e51a4
Diffstat (limited to 'files/riscv_script/run_qemu.sh')
-rwxr-xr-xfiles/riscv_script/run_qemu.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/files/riscv_script/run_qemu.sh b/files/riscv_script/run_qemu.sh
new file mode 100755
index 00000000..080af3b1
--- /dev/null
+++ b/files/riscv_script/run_qemu.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+set -x
+set -e
+
+USE_RVV="${USE_RVV:-OFF}"
+TOOLCHAIN_PATH="${TOOLCHAIN_PATH:-../../build-toolchain-qemu/riscv-clang}"
+QEMU_PREFIX_PATH="${QEMU_PREFIX_PATH:-../../build-toolchain-qemu/riscv-qemu/}"
+
+if [ "${USE_RVV}" = "ON" ];then
+ QEMU_OPTION="-cpu rv64,zba=true,zbb=true,zbc=true,zbs=true,v=true,vlen=512,elen=64,vext_spec=v1.0 -L ${TOOLCHAIN_PATH}/sysroot"
+else
+ QEMU_OPTION="-cpu rv64,zba=true,zbb=true,zbc=true,zbs=true -L ${TOOLCHAIN_PATH}/sysroot"
+fi
+
+$QEMU_PREFIX_PATH/bin/qemu-riscv64 $QEMU_OPTION $@